aboutsummaryrefslogtreecommitdiff
path: root/utils/searchpkg
diff options
context:
space:
mode:
Diffstat (limited to 'utils/searchpkg')
-rwxr-xr-xutils/searchpkg24
1 files changed, 24 insertions, 0 deletions
diff --git a/utils/searchpkg b/utils/searchpkg
new file mode 100755
index 0000000..5f272a3
--- /dev/null
+++ b/utils/searchpkg
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# searchpkg: search packages inside a local slackware-like repository
+# this is part of simplepkg
+# feedback: rhatto at riseup.net | gpl
+#
+
+# find . -type f -exec ls -l {} \; > FILELIST.TXT
+
+if [[ $# != 1 && $# != 2 ]]; then
+ echo "usage: $0 [-1] <repository> [package-name]"
+ echo "package-name can be either the full package file name, just its prefix or so"
+ echo "option -1 show just the first matching package"
+ exit 1
+fi
+
+FILELIST="$1/FILELIST.TXT"
+PACKAGE_FIELD="8"
+
+if [ -z "$2" ]; then
+ grep .tgz $FILELIST
+else
+ grep -e "$2" $FILELIST | grep tgz | awk "{ print \$$PACKAGE_FIELD }"
+fi